National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2017-13143 Detail

Current Description

In ImageMagick before 6.9.7-6 and 7.x before 7.0.4-6, the ReadMATImage function in coders/mat.c uses uninitialized data, which might allow remote attackers to obtain sensitive information from process memory.

Source:  MITRE
View Analysis Description

Impact

CVSS v3.0 Severity and Metrics:

Base Score: 7.5 HIGH
Vector: AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N (V3 legend)
Impact Score: 3.6
Exploitability Score: 3.9


Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope (S): Unchanged
Confidentiality (C): High
Integrity (I): None
Availability (A): None

CVSS v2.0 Severity and Metrics:

Base Score: 5.0 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:P/I:N/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): None
Availability (A): None
Additional Information:
Allows unauthorized disclosure of information

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=870012 Issue Tracking Third Party Advisory
https://github.com/ImageMagick/ImageMagick/commit/51b0ae01709adc1e4a9245e158ef17b85a110960 Issue Tracking Patch Third Party Advisory
https://github.com/ImageMagick/ImageMagick/issues/362 Issue Tracking Patch Third Party Advisory
https://security.gentoo.org/glsa/201711-07
https://usn.ubuntu.com/3681-1/
https://www.debian.org/security/2017/dsa-4019
https://www.debian.org/security/2018/dsa-4204

Technical Details

Vulnerability Type (View All)

  • Information Leak / Disclosure (CWE-200)

Known Affected Software Configurations Switch to CPE 2.3

Configuration 1 ( hide )
 cpe:/a:imagemagick:imagemagick
     Show Matching CPE(s)
Up to (including)
6.9.7-5
 cpe:/a:imagemagick:imagemagick:7.0.1-0
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-1
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-2
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-3
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-4
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-5
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-6
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-7
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-8
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-9
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.1-10
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-0
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-1
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-2
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-3
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-4
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-5
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-6
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-7
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-8
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-9
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.2-10
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-0
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-1
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-2
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-3
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-4
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-5
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-6
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-7
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-8
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-9
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.3-10
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.4-0
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.4-1
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.4-2
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.4-3
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.4-4
     Show Matching CPE(s)
 cpe:/a:imagemagick:imagemagick:7.0.4-5
     Show Matching CPE(s)


Change History

5 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2017-13143
NVD Published Date:
08/23/2017
NVD Last Modified:
06/13/2018